Bug 1305640 - [RFE] Network flow diagram for Satellite 6 server, capsule and client communications
[RFE] Network flow diagram for Satellite 6 server, capsule and client communi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation (Show other bugs)
6.1.6
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Stephen Wadeley
Russell Dickenson
: FutureFeature
Depends On:
Blocks: GSS_Sat6Beta_Tracker/GSS_Sat6_Tracker
  Show dependency treegraph
 
Reported: 2016-02-08 14:30 EST by Sam Yangsao
Modified: 2016-07-27 17:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 17:31:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Satellite Topology with Isolated Capsule (228.85 KB, image/png)
2016-07-19 09:44 EDT, Stephen Wadeley
no flags Details
Satellite Topology with Isolated Capsule (202.99 KB, image/png)
2016-07-26 12:09 EDT, Stephen Wadeley
no flags Details
Satellite Topology with Direct Host (152.33 KB, image/png)
2016-07-26 12:12 EDT, Stephen Wadeley
no flags Details

  None (edit)
Description Sam Yangsao 2016-02-08 14:30:57 EST
Document URL: 

Current Satellite 6 and Capsule server port info -

https://goo.gl/9GfJjR - Table 1.5
https://goo.gl/TII6q6 - Table 7.3

Definitive list -

https://access.redhat.com/sites/default/files/attachments/satellite_6_communication_matrix_satellite_6.1.pdf

Section Number and Name: 

See above

Describe the issue: 

Current documentation lists Satellite 6/Capsule/Client port information in a Table

Suggestions for improvement: 

Complete network diagram showing port and information flow for Satellite6/Capsule/Client based off of this document -

https://access.redhat.com/sites/default/files/attachments/satellite_6_communication_matrix_satellite_6.1.pdf

Additional information:
Comment 9 Stephen Wadeley 2016-07-19 09:44 EDT
Created attachment 1181638 [details]
Satellite Topology with Isolated Capsule

Hello

Attaching new "Satellite Topology with Isolated Capsule" diagram.
Comment 10 Stephen Wadeley 2016-07-19 09:51:13 EDT
Hello Sam

We will add the diagram as per comment 9 to the new architecture guide.

I will work now to make a new version of the port list available as a PDF via the Knowledgebase system.

Thank you
Comment 11 Sam Yangsao 2016-07-19 09:55:06 EDT
(In reply to Stephen Wadeley from comment #10)
> Hello Sam
> 
> We will add the diagram as per comment 9 to the new architecture guide.
> 
> I will work now to make a new version of the port list available as a PDF
> via the Knowledgebase system.
> 
> Thank you

Awesome, thanks Steve!
Comment 12 Stephen Wadeley 2016-07-26 12:09 EDT
Created attachment 1184324 [details]
Satellite Topology with Isolated Capsule

Correcting Puppet port
Comment 13 Stephen Wadeley 2016-07-26 12:12 EDT
Created attachment 1184325 [details]
Satellite Topology with Direct Host

Adding: 
Satellite Topology with Direct Host
Comment 14 Stephen Wadeley 2016-07-26 12:14:09 EDT
Hello

The diagrams in comment 12 and 13 will be added to the Architecture Guide as per BZ#1360414

Please let us know if we can now close this bug.

Thank you
Comment 16 Stephen Wadeley 2016-07-27 17:28:42 EDT
Hello

The network topology diagrams are now published in the Architecture Guide here:
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/architecture-guide/23-capsule-networking

The matrix table of network ports for Satellite 6.2 is here:

Red Hat Satellite 6.2 List of Network Ports - Red Hat Customer Portal - https://access.redhat.com/solutions/2470641

Thank you

Note You need to log in before you can comment on or make changes to this bug.